Summary: DBD::Pg  --  a PostgreSQL interface for Perl 5
%define realname DBD-Pg
Name: perl-%{realname}
Version: 0.91
Release: 1
Copyright: GPL
Group: Applications/Database
Source: http://www.perl.com/CPAN-local//modules/by-module/DBD/%{realname}-%{version}.tar.gz
Packager: Ian Macdonald <ianmacd@xs4all.nl>
Requires: perl >= 5.004, perl-DBI >= 1.06
Obsoletes: DBD-Pg
BuildRoot: /tmp/buildroot-DBD-Pg

%description
DBD::Pg is a Perl module which works with the DBI module to provide
access to PostgreSQL databases.

%changelog

* Sun Mar  7 1999 Ian Macdonald <ianmacd@xs4all.nl>

- first RPM release

%prep
%setup -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/man/man3 \
     install
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
